From c131c60f8482c213c74a225c5afdefb3aca300ad Mon Sep 17 00:00:00 2001
From: Tristan Partin <tristan@neon.tech>
Date: Fri, 1 Sep 2023 09:22:07 -0500
Subject: [PATCH v1 4/7] Tackle a FIXME in Meson comment

Removed duplication in the definition of shared modules.
---
 src/test/regress/meson.build | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

diff --git a/src/test/regress/meson.build b/src/test/regress/meson.build
index a045c00c1f..5ba6c5485a 100644
--- a/src/test/regress/meson.build
+++ b/src/test/regress/meson.build
@@ -45,20 +45,20 @@ test_install_libs += regress_module
 
 # Get some extra C modules from contrib/spi but mark them as not to be
 # installed.
-# FIXME: avoid the duplication.
 
-autoinc_regress = shared_module('autoinc',
-  ['../../../contrib/spi/autoinc.c'],
-  kwargs: pg_test_mod_args,
-)
-test_install_libs += autoinc_regress
+extra_regress_modules = {
+  'autoinc': {},
+  'refint': {
+    'c_args': refint_cflags,
+  },
+}
 
-refint_regress = shared_module('refint',
-  ['../../../contrib/spi/refint.c'],
-  c_args: refint_cflags,
-  kwargs: pg_test_mod_args,
-)
-test_install_libs += refint_regress
+foreach m, params : extra_regress_modules
+  test_install_libs += shared_module(m,
+    '../../../contrib/spi/@0@.c'.format(m),
+    kwargs: pg_test_mod_args + params
+  )
+endforeach
 
 
 tests += {
-- 
Tristan Partin
Neon (https://neon.tech)

